Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.util
[Java] Class ComplexKeyHashMap.Entry

    java.lang.Object
      org.codehaus.groovy.util.ComplexKeyHashMap.Entry

    public static class ComplexKeyHashMap.Entry

Field Summary
`int` | `hash`
`Entry` | `next`
`java.lang.Object` | `value`

Method Summary
`java.lang.Object` | `getValue()`
`void` | `setValue(java.lang.Object value)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### hash

    public int hash

### next

    public Entry next

### value

    public java.lang.Object value

Method Detail

### getValue

    public java.lang.Object getValue()

### setValue

    public void setValue(java.lang.Object value)

Groovy Documentation